Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class ObjectOutboundVariable

    java.lang.Object
      org.directwebremoting.dwrp.AbstractOutboundVariable
          org.directwebremoting.dwrp.ObjectOutboundVariable

All Implemented Interfaces:
  OutboundVariable

    public class ObjectOutboundVariable

extends AbstractOutboundVariable
implements OutboundVariable

An OutboundVariable that creates data from Maps.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`ObjectOutboundVariable(OutboundContext outboundContext)` Setup

Method Summary
`void` | `init(java.util.Map aOvs, java.lang.String aScriptClassName)` Generate an map declaration for a map of Outbound variables
`java.lang.String` | `toString()`

Methods inherited from class org.directwebremoting.dwrp.AbstractOutboundVariable
`getAssignCode, getBuildCode, getDeclareCode, getReferenceVariable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.OutboundVariable
`getAssignCode, getBuildCode, getDeclareCode, getReferenceVariable`

Constructor Detail

### ObjectOutboundVariable

    public ObjectOutboundVariable(OutboundContext outboundContext)

  Setup

  Parameters:
    `outboundContext` - A collection of objects already converted and the results

Method Detail

### init

    public void init(java.util.Map aOvs,
                     java.lang.String aScriptClassName)

  Generate an map declaration for a map of Outbound variables

  Parameters:
    `aOvs` - The map of the converted contents
    `aScriptClassName` - The object name or null for pure(ish) json

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD